#### D.5.2.7 chNumbers

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chNumbers(r, c); r integer, c list

Return:
  list

Purpose:
  computes the Chern numbers of a vector bundle with Chern classes c on a complex manifold (variety) of dimension r

Note:
  computes basically the partitions of r

Example:

    LIB "chern.lib";
    ring r = 0, (c(1..3)), dp;
    list l=c(1..3);
    // The Chern numbers of a vector bundle with Chern classes c(1), c(2), c(3)
    // on a 3-fold:
    print( chNumbers( 3, l ) );
    // If the highest Chern class is zero, the Chern numbers are:
    l=c(1..2);
    print( chNumbers( 3, l ) );
    // Compare this to the output of chNum(...):
    print( chNum( 3, l ) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.